// =============================================================================
// Command.cpp: Implementation of class cCommand
// Filter application, (c) lars.staurset@statkart.no 2003
// =============================================================================

#include "Command.h"

// =========================================================================
// Public functions
// =========================================================================

// ---------------------------------------------------------------------------
// Class administration (construction, destruction, etc.)
// ---------------------------------------------------------------------------
// Constructor
cCommand::cCommand (const string csInStream, const string csOutStream,
                    const bool cbAllowOverwrite, const OutputLevel ceOutputLevel)
{
    // Store parameters
    m_sInStream = csInStream;
    m_sOutStream = csOutStream;

    // Initialize private data members
    m_pInStream = NULL;
    m_pOutStream = NULL;
    m_eOutputLevel = ceOutputLevel;

    // Open streams (exceptions will be passed to caller)
    m_pInStream = new cInStream (m_sInStream, m_eOutputLevel);
    m_pOutStream = new cOutStream (m_sOutStream, cbAllowOverwrite, m_eOutputLevel);
}

// Destructor
cCommand::~cCommand(void)
{
}

// ---------------------------------------------------------------------------
// Data processing
// ---------------------------------------------------------------------------
// Do the job
bool cCommand::Execute ()
{
    // Never to be called
    return false;
}
