// =============================================================================
// Copy.h: Declarations of class cCopy
// Filter application, (c) lars.staurset@statkart.no 2003
// Purpose: Copy a text file (template for other commands)
// =============================================================================

#pragma once
#include "Command.h"

class cCopy : public cCommand
{
    // =========================================================================
    // Public functions
    // =========================================================================
public:
    // ---------------------------------------------------------------------------
    // Class administration (construction, destruction, etc.)
    // ---------------------------------------------------------------------------
    // Constructor
    // Success: Input and output streams are opened and ready for use
    // Failure: Throws a cException
    cCopy (
        const string,           // Path of input stream
        const string,           // Path of output stream
        const bool,             // true if overwriting is allowed
        const OutputLevel);     // Output level, see Typedefs.h

    ~cCopy(void);

    // ---------------------------------------------------------------------------
    // Data processing
    // ---------------------------------------------------------------------------
    // Do the job
    // Success: Input and output streams were processed
    // Failure: returns false
    bool Execute ();    // return true if successful
};
